import { jsx } from "react/jsx-runtime";
import { TokenNMR as TokenNMR$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNMR = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NMR", "data-name": "TokenNMR", ...props, children: /* @__PURE__ */ jsx(TokenNMR$1, { variant }) });
  }
);
TokenNMR.displayName = "TokenNMR";
Object.assign(TokenNMR, { isGdsIcon: true });
export {
  TokenNMR
};
